Bug 2243749 (CVE-2023-45648) - CVE-2023-45648 tomcat: incorrectly parsed http trailer headers can cause request smuggling
Summary: CVE-2023-45648 tomcat: incorrectly parsed http trailer headers can cause requ...
Keywords:
Status: NEW
Alias: CVE-2023-45648
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2244528 2245764
Blocks: 2243753
TreeView+ depends on / blocked
 
Reported: 2023-10-12 21:23 UTC by Anten Skrabec
Modified: 2024-03-11 05:31 UTC (History)
70 users (show)

Fixed In Version: tomcat 11.0.0-M12, tomcat 10.1.14, tomcat 9.0.81, tomcat 8.5.94
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Apache Tomcat, where an improper input validation can occur. This flaw allows a malicious user to send a crafted request containing an invalid trailer header, which could be treated as multiple requests, potentially leading to request smuggling when behind a reverse proxy.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:6206 0 None None None 2023-10-31 13:07:07 UTC
Red Hat Product Errata RHSA-2023:6207 0 None None None 2023-10-31 13:05:46 UTC
Red Hat Product Errata RHSA-2023:7247 0 None None None 2023-11-15 17:08:16 UTC
Red Hat Product Errata RHSA-2024:0125 0 None None None 2024-01-10 11:27:25 UTC
Red Hat Product Errata RHSA-2024:0474 0 None None None 2024-01-24 16:31:44 UTC

Description Anten Skrabec 2023-10-12 21:23:55 UTC
Improper Input Validation vulnerability in Apache Tomcat.Tomcat from 11.0.0-M1 through 11.0.0-M11, from 10.1.0-M1 through 10.1.13, from 9.0.0-M1 through 9.0.81 and from 8.5.0 through 8.5.93 did not correctly parse HTTP trailer headers. A specially 
crafted, invalid trailer header could cause Tomcat to treat a single 
request as multiple requests leading to the possibility of request 
smuggling when behind a reverse proxy.

Users are recommended to upgrade to version 11.0.0-M12 onwards, 10.1.14 onwards, 9.0.81 onwards or 8.5.94 onwards, which fix the issue.



https://lists.apache.org/thread/2pv8yz1pyp088tsxfb7ogltk9msk0jdp
http://www.openwall.com/lists/oss-security/2023/10/10/10
https://www.debian.org/security/2023/dsa-5522
https://www.debian.org/security/2023/dsa-5521

Comment 2 Aaron Ogburn 2023-10-16 17:27:47 UTC
Can we please create JWS trackers for this?

Comment 4 Patrick Del Bello 2023-10-24 01:44:34 UTC
Created tomcat tracking bugs for this issue:

Affects: fedora-all [bug 2245764]

Comment 5 errata-xmlrpc 2023-10-31 13:05:40 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2023:6207 https://access.redhat.com/errata/RHSA-2023:6207

Comment 6 errata-xmlrpc 2023-10-31 13:07:02 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 5.7 on RHEL 7
  Red Hat JBoss Web Server 5.7 on RHEL 8
  Red Hat JBoss Web Server 5.7 on RHEL 9

Via RHSA-2023:6206 https://access.redhat.com/errata/RHSA-2023:6206

Comment 7 errata-xmlrpc 2023-11-15 17:08:10 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.12.1

Via RHSA-2023:7247 https://access.redhat.com/errata/RHSA-2023:7247

Comment 8 errata-xmlrpc 2024-01-10 11:27:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:0125 https://access.redhat.com/errata/RHSA-2024:0125

Comment 10 errata-xmlrpc 2024-01-24 16:31:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:0474 https://access.redhat.com/errata/RHSA-2024:0474


Note You need to log in before you can comment on or make changes to this bug.